package sun.security.x509;

import sun.security.util.DerOutputStream;
import java.io.OutputStream;
import java.io.IOException;
import java.math.BigInteger;

public class DeltaCRLIndicatorExtension extends CRLNumberExtension
{
    public static final String NAME = "DeltaCRLIndicator";
    private static final String LABEL = "Base CRL Number";
    
    public DeltaCRLIndicatorExtension(int n) throws IOException {
        super(PKIXExtensions.DeltaCRLIndicator_Id, true, BigInteger.valueOf((long)n), "DeltaCRLIndicator", "Base CRL Number");
    }
    
    public DeltaCRLIndicatorExtension(BigInteger bigInteger) throws IOException {
        super(PKIXExtensions.DeltaCRLIndicator_Id, true, bigInteger, "DeltaCRLIndicator", "Base CRL Number");
    }
    
    public DeltaCRLIndicatorExtension(Boolean b, Object o) throws IOException {
        super(PKIXExtensions.DeltaCRLIndicator_Id, Boolean.valueOf((boolean)b), o, "DeltaCRLIndicator", "Base CRL Number");
    }
    
    @Override
    public void encode(OutputStream outputStream) throws IOException {
        DerOutputStream derOutputStream = new DerOutputStream();
        super.encode(outputStream, PKIXExtensions.DeltaCRLIndicator_Id, true);
    }
}
